Summary:	Library for versioning Python projects
Name:		python-incremental
Version:	16.10.1
Release:	2
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/incremental/
Source0:	https://files.pythonhosted.org/packages/da/b0/32233c9e84b0d44b39015fba8fec03e88053723c1b455925081dc6ccd9e7/incremental-%{version}.tar.gz
BuildRequires:	pkgconfig(python)
BuildRequires:	pythonegg(setuptools)
BuildArch:	noarch

%description
Library for versioning Python projects.

%files
%{py_puresitedir}/incremental
%{py_puresitedir}/incremental-%{version}-py%{py_ver}.egg-info/

#----------------------------------------------------------------------------

%package -n python3-incremental
Summary:	Library for versioning Python 3 projects
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3egg(setuptools)
BuildArch:	noarch

%description -n python3-incremental
Library for versioning Python 3 projects.

%files -n python3-incremental
%{py3_puresitedir}/incremental
%{py3_puresitedir}/incremental-%{version}-py%{py3_ver}.egg-info/

#----------------------------------------------------------------------------

%prep
%setup -qn incremental-%{version}
%apply_patches

cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd
%py2_install


%changelog

* Wed Jul 05 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.10.1-2
- (2a82e5e) Bump release


